.TH ip1const 1 "Jul 3 1996" "Stanford University" "SUIF Compiler"
.SH NAME
ip1const \- do one level interprocedural constant propagation
.SH SYNOPSIS
.B ip1const
[
.I options
]
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I ip1const
program does very simple interprocedural constant propagation through
a single level of procedure calls.  That allows it to use a very
efficient algorithm, while the limited power is still enough to help
in a number of common cases.  The algorithm uses only one procedure in
memory at any given time.  It makes two passes; each procedure is read
twice and written once, so it should take less time than any two
ordinary intraprocedural passes.
.sp
For best effect, this pass should be followed by
.I porky
with the ``-const-prop'' option to propagate the constants within the
procedure once they have been put at the start of the procedure by
this pass.
.SH OPTIONS
There are currently no command-line options.
.SH HISTORY
This program was written by Chris Wilson.
